package com.wechat.callback.tencentrequests.events;

import javax.xml.bind.annotation.*;

@XmlRootElement(name = "xml")
public final class TemplateSendFinishEventRequest extends BaseEventRequest {
    @XmlType
    @XmlEnum(String.class)
    public static enum StatusEnum {
        @XmlEnumValue("success")SUCCESS,   //发送状态为成功
        @XmlEnumValue("failed:user block")USER_BLOCK,   //发送状态为用户拒绝接收
        @XmlEnumValue("failed:system failed")SYSTEM_FAILED    //发送状态为发送失败（非用户拒绝）
    }

    private StatusEnum status;//发送状态
    
    private String msgID;//消息id

    public StatusEnum getStatus() {
        return status;
    }
    
    @XmlElement(name = "Status")
    public void setStatus(StatusEnum status) {
        this.status = status;
    }

    public String getMsgID() {
        return msgID;
    }

    @XmlElement(name = "MsgID")
    public void setMsgID(String msgID) {
        this.msgID = msgID;
    }

}
